const name = "@scaleway/sdk";
const version = "2.71.0";
const license = "Apache-2.0";
const description = "Scaleway SDK.";
const keywords = [
  "scaleway",
  "cloud",
  "sdk"
];
const main = "dist/index.cjs";
const module = "dist/index.js";
const types = "dist/index.d.ts";
const scripts = {
  typecheck: "tsc --noEmit",
  "type:generate": "tsc --declaration -p tsconfig.build.json",
  build: "vite build --config ../../vite.config.ts && pnpm run type:generate && tsc-alias -p tsconfig.build.json",
  "build:profile": "npx vite-bundle-visualizer -c ../../vite.config.ts"
};
const files = [
  "dist"
];
const publishConfig = {
  access: "public"
};
const repository = {
  type: "git",
  url: "https://github.com/scaleway/scaleway-sdk-js",
  directory: "packages/clients"
};
const engines = {
  node: ">=18.0"
};
const type = "module";
const dependencies = {
  "@scaleway/random-name": "5.1.1"
};
const bundledDependencies = [
  "@scaleway/random-name"
];
const pkg = {
  name,
  version,
  license,
  description,
  keywords,
  main,
  module,
  types,
  scripts,
  files,
  publishConfig,
  repository,
  engines,
  type,
  dependencies,
  bundledDependencies
};
export {
  bundledDependencies,
  pkg as default,
  dependencies,
  description,
  engines,
  files,
  keywords,
  license,
  main,
  module,
  name,
  publishConfig,
  repository,
  scripts,
  type,
  types,
  version
};
